Application: gvSIG desktop - gvSIG bugs #1035
'Area’ button has not got icon (red square)
08/29/2012 08:59 AM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Database

Target version: 2.0.0-devel-2055

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2051 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Open gvSIG

New View

Load shapefile from http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante _Cons-sup ICV_SHP2d.zip
Open attribute table

'Area’ button has not got icon (it appears in a red square)

History

#1 - 09/24/2012 11:38 AM - Juan Lucas Dominguez
- Status changed from New to Fixed

- Assignee set to Juan Lucas Dominguez

Fixed.

gvsig-desktop:r38902

(approx, perhaps 4/5 days later)

#2 - 10/01/2012 10:09 AM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2055

#3 - 10/10/2012 09:40 AM - Vicent Domenech

- Status changed from Fixed to Under review

In gvSIG build 2056 the button disappears.

#4 - 10/10/2012 10:13 AM - Juan Lucas Dominguez
- Status changed from Under review to New

Hello, there are three buttons of that type:
http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Cons-sup_ICV_SHP2d.zip

- Area: this button adds a new column with the area, it only appears in layers of type POLYGON
- Perimeter: this button adds a new column with the perimeter, it only appears in layers of type LINE or POLYGON
- Add X,Y: adds a the coordinates of the point, it only appears in layers of type POINT

If you tried a layer of LINES, then the area button must not appear. If you have tried a layer of type POLYGON and the area button did not appear,
then that is a bug and please add the SHP file in a ZIP file.

| have seen that the "Add X,Y" icon is also missing (you can see the red square if the layer is of POINTS). | have already added a new bug:

https://devel.gvsig.org/redmine/issues/1251

#5 - 10/10/2012 10:13 AM - Juan Lucas Dominguez
- Status changed from New to Fixed

#6 - 10/10/2012 10:49 AM - Vicent Domenech

- Status changed from Fixed to Closed

Closed with gvSIG build 2056.
